MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026596Open CASCADE[OCCT] OCCT:Visualizationpublic2015-08-24 18:442016-04-20 15:48
Reporterkgv 
Assigned Toski 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026596: Visualization - hidden twice times structure should not be selectable
DescriptionThe hidden structure became selectable for some reasons after second hiding.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vinit View1
vclear
vaxo
vsetdispmode 1
vdisplay b
vfit
verase b
vdisplay b
verase b
vmoveto 250 250

Expected result: empty screen (as on OCCT 6.9.0)
Actual result: the hidden structure is dynamically highlighted.
TagsNo tags attached.
Test case numberbugs vis bug26596
Attached Files

- Relationships

-  Notes
(0044598)
git (administrator)
2015-08-25 12:42

Branch CR26596 has been created by vpa.

SHA-1: e2918503ff17ba69d7111c791e0a61f374691e0d


Detailed log of new commits:

Author: vpa
Date: Tue Aug 25 12:41:56 2015 +0300

    0026596: Visualization - hidden twice times structure should not be selectable
    
    Activated selection mode for the object that was displayed previously is now added to global status;
    Test case for issue 0026596
(0044599)
vpa (developer)
2015-08-25 12:43

Dear Kirill,

the patch in branch CR26596 is ready to be reviewed.
(0044615)
kgv (developer)
2015-08-25 16:08

Please test the patch.
(0044650)
mkv (tester)
2015-08-26 12:47

Dear BugMaster,
Branch CR26596 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e2918503ff17ba69d7111c791e0a61f374691e0d

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26596-master-occt-64/Debian70-64/bugs/vis/bug26596.html [^]
http://occt-tests/CR26596-master-occt-64/Windows-64-VC10/bugs/vis/bug26596.html [^]
bugs vis bug26596: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92028139 / 91600888 [+0.47%]
Total CPU difference: 17755.339999998883 / 17715.939999998944 [+0.22%]
products component :
Total MEMORY difference: 25158428 / 25123208 [+0.14%]
Total CPU difference: 6986.16000000002 / 7008.090000000001 [-0.31%]

Testing on Windows:
occt component :
Total MEMORY difference: 57061696 / 57054373 [+0.01%]
Total CPU difference: 16387.858249698922 / 16696.506228199112 [-1.85%]
products component :
Total MEMORY difference: 16120025 / 16119994 [+0.00%]
Total CPU difference: 5172.946359699952 / 5290.8519154999685 [-2.23%]

There are no differences in images found by testdiff.
(0046935)
git (administrator)
2015-10-16 16:24

Branch CR26596 has been deleted by kgv.

SHA-1: e2918503ff17ba69d7111c791e0a61f374691e0d

- Related Changesets
occt: master 0824e32e
Timestamp: 2015-08-25 09:41:56
Author: vpa
Committer: ski
Details ] Diff ]
0026596: Visualization - hidden twice times structure should not be selectable

Activated selection mode for the object that was displayed previously is now added to global status;
Test case for issue 0026596
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
add - tests/bugs/vis/bug26596 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-24 18:44 kgv New Issue
2015-08-24 18:44 kgv Assigned To => kgv
2015-08-24 18:48 kgv Relationship added child of 0026272
2015-08-24 18:48 kgv Assigned To kgv => vpa
2015-08-24 18:48 kgv Severity minor => major
2015-08-24 18:48 kgv Status new => assigned
2015-08-25 12:42 git Note Added: 0044598
2015-08-25 12:43 vpa Note Added: 0044599
2015-08-25 12:43 vpa Assigned To vpa => kgv
2015-08-25 12:43 vpa Status assigned => resolved
2015-08-25 16:08 kgv Note Added: 0044615
2015-08-25 16:08 kgv Assigned To kgv => bugmaster
2015-08-25 16:08 kgv Status resolved => reviewed
2015-08-25 16:12 mkv Assigned To bugmaster => mkv
2015-08-26 12:47 mkv Note Added: 0044650
2015-08-26 12:47 mkv Assigned To mkv => bugmaster
2015-08-26 12:47 mkv Status reviewed => tested
2015-08-26 12:48 mkv Test case number => bugs vis bug26596
2015-08-28 11:44 ski Changeset attached => occt master 0824e32e
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-10-16 16:24 git Note Added: 0046935
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker